@chat-grey : #eee;

.chat-message {
  padding-right: 2px;
  width: 190px;
}

.chat-displayName {
  max-width: 200px;
  color: @btn-primary-color-off-1 !important;
}

.badge-message {
  top: 7px;
  right: -14px;
  height: 20px;
  width: 20px;
}

.party-container {
  height: 100%;
}

.chat-header {
  height: 50px;
  color: @xivo-dark;
  display: flex;
  align-items: center;
  font-weight: bold;
  background-color: @windows-bg-2;
  box-shadow: 0px 5px 5px -3px rgba(0,0,0,0.1);
  position: relative;

  go-back-arrow {
    flex: 1;
  }

  .chat-arrow {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 20px;
    margin-left: 3px;
  }

  .messages-header {
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 15px;
    flex: 8;
  }

  call-remote-party {
    flex: 2;
  }

  .call-remote-party {
    float: right;
    margin-right:15px;

    .video-chat-button {
        margin-left:15px;
      }
  }
}

.party-messages {
  overflow: auto;
  height: ~"calc(100% - 160px)";
  display: flex;
  flex-direction: column;
  flex: 1 1 90%;
  word-break: break-word;
  word-wrap: break-word;
  .party-messages-text {
    white-space:pre-line;
  }

  .you {
    display: grid;
    grid-template-columns: auto 1fr;
    grid-template-rows: auto 1fr;
    margin-bottom: 10px;
    p {
      display: grid;
      grid-template-rows: auto 10px;
      row-gap: 5px;
      clear: both;
      grid-column: 1;
      float: left;
      margin: 10px 90px 0 20px;
      max-width: 80%;
      padding: 17px;
      border-radius: 25px;
      border-top-left-radius: 3px;
      background-color: @modal-bg-2;
      .party-messages-text a {
        color: @color-normal;
        font-weight: bold;
        .gradient-background(initial, initial, initial);
        &:hover {
          color: @btn-primary-color-hover-2;
          .gradient-background(initial, initial, initial);
        }
      }
      span.message-timestamp {
        font-style: italic;
        justify-self: end;
        font-size: 10px;
        color: @xivo-dark-gray;
      }
    }
  }

  .me {
    margin-bottom: 10px;
  
    p {
      clear : both;
      display: grid;
      row-gap: 5px;
      float: right;
      margin: 10px 20px 0 90px;
      background-color: @btn-primary-color-off-2;
      color: @xivo-light;
      max-width: 80%;
      padding: 17px;
      border-radius: 25px;
      border-top-right-radius: 3px;
      .party-messages-text a {
        color: @xivo-light;
        -webkit-text-fill-color: @xivo-light;
        font-weight: bold;
        .gradient-background(initial, initial, initial);
        &:hover {
          color: @btn-primary-color-hover-1;
          .gradient-background(initial, initial, initial);
        }
      }
      span.message-timestamp {
        font-style: italic;
        justify-self: end;
        font-size: 10px;
        color: lighten(@xivo-success, 30%);
      }
    }
  }
}

.chat-sender {
  height: 100px;
  padding: 0px;
  border-top: 1px solid @chat-grey;
  display: grid;
  grid-template-columns: 1fr 60px;
  background-color: @windows-bg-2;
  align-items: center;
  box-shadow: 0px -3px 5px -3px rgba(0, 0, 0, 0.1);
 
  .chat-text {
    border: solid @chat-grey 1px;
    border-radius: 30px;
    padding: 15px;
    resize: none;
    overflow: hidden;
    min-height: 50px;
    max-height: 75px;

  }
  .chat-text-send {
    display: flex;
    justify-content: center;
    align-items: center;
    color: @color-light;
    font-size: 20px;
    cursor: pointer;

    .paperplane {
      color: @xivo-primary;
    }
  }
}

.chat-party {
    &:hover {
      .party-item, .chat-time {
        background-color: @xivo-primary-hover;
        color: @color-normal;

        .party-new-message {
          background-color: @btn-primary-color-hover-2;
          color: @xivo-light;
        }
    }    
  }
  .m-party {
    border-bottom: 1px solid lighten(@xivo-dark-gray, 30%);
  }
}

.party-new-message {
  background-color: @btn-primary-color-hover-2;
}


